%define name videocut
%define version 0.2.0
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Video
Url:		http://code.google.com/p/videocut/
Source:		%{name}_%{version}.tar.xz
Patch1:		videocut-strcmp-0.2.0.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	qt4-devel 
BuildRequires:	libxine-devel
Summary:	Application for creating compositions of screenshots from video files
Summary(de):    Anwendung zum Erstellen von Screenshots Kompositionen aus Video-Dateien

%description
VideoCut is an open source desktop application specialized 
for creating compositions of screenshots from video files.

%description -l de
Videocut ist ein Open Source Desktop-Anwendung spezialisiert
für die Erstellung von Kompositionen von Screenshots aus Video-Dateien.

%prep
%setup -qn %{name}-%{version}.orig
%patch1 -p1

%build
qmake
%make

%install
test "%{buildroot}" != "/" && %{__rm} -rf %{buildroot}
%__install -Dm 0755 build/result/videocut %{buildroot}%{_bindir}/videocut
%__install -Dm 0644 videocut.desktop %{buildroot}%{_datadir}/applications/videocut.desktop
%__install -Dm 0644 videocut.svg %{buildroot}%{_datadir}/pixmaps/videocut.svg

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%clean
test "%{buildroot}" != "/" && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT AUTHORS THANKSTO
%{_bindir}/videocut
%{_datadir}/applications/videocut.desktop
%{_datadir}/pixmaps/videocut.svg



%changelog
* Fri Oct 29 2010 Texstar <texstar at gmail.com> 0.2.0-2pclos2010
- convert source to tar.xz
- fix menu entry for all desktops

* Mon Oct 25 2010 leiche <meisssw01 at aol.com> 0.2.0-1pclos2010
- import from mandriva to pclos

